Groovy Documentation

## org.codehaus.groovy.grails.web.servlet
[Java] Class GrailsUrlPathHelper

    java.lang.Object
      org.springframework.web.util.UrlPathHelper
          org.codehaus.groovy.grails.web.servlet.GrailsUrlPathHelper

    public class GrailsUrlPathHelper
    extends UrlPathHelper

Extends the default Spring UrlPathHelper and makes methods Grails path aware.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary
`static java.lang.String` | `GRAILS_DISPATCH_EXTENSION`
`static java.lang.String` | `GRAILS_SERVLET_PATH`

Method Summary
`java.lang.String` | `getPathWithinApplication(HttpServletRequest request)`

Field Detail

### GRAILS_DISPATCH_EXTENSION

    public static final java.lang.String GRAILS_DISPATCH_EXTENSION

### GRAILS_SERVLET_PATH

    public static final java.lang.String GRAILS_SERVLET_PATH

Method Detail

### getPathWithinApplication

    @Override
    public java.lang.String getPathWithinApplication(HttpServletRequest request)

Groovy Documentation